## r-bioc-sparsematrixstats 1.2.1%2Bdfsg

=== DESCRIPTION ===
Package: sparseMatrixStats
Type: Package
Title: Summary Statistics for Rows and Columns of Sparse Matrices
Version: 1.2.1
Authors@R: person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                  role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X"))
Description: High performance functions for row and column operations on sparse matrices.
    For example: col / rowMeans2, col / rowMedians, col / rowVars etc. Currently,
    the optimizations are limited to data in the column sparse format. 
    This package is inspired by the matrixStats package by Henrik Bengtsson.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
LinkingTo: Rcpp
Imports: Rcpp, Matrix, matrixStats, methods
Depends: MatrixGenerics
Suggests: testthat (>= 2.1.0), knitr, bench, rmarkdown, BiocStyle
SystemRequirements: C++14
VignetteBuilder: knitr
biocViews: Infrastructure, Software, DataRepresentation
git_url: https://git.bioconductor.org/packages/sparseMatrixStats
git_branch: RELEASE_3_12
git_last_commit: 9726f3d
git_last_commit_date: 2021-02-02
Date/Publication: 2021-02-02
NeedsCompilation: yes
Packaged: 2021-02-03 03:33:08 UTC; biocbuild
Author: Constantin Ahlmann-Eltze [aut, cre]
    (<https://orcid.org/0000-0002-3762-068X>)
Maintainer: Constantin Ahlmann-Eltze <artjom31415@googlemail.com>

## r-bioc-sparsematrixstats 1.2.1+dfsg

=== debian/changelog ===
r-bioc-sparsematrixstats (1.2.1+dfsg-4) unstable; urgency=high

  * Team upload.
  * debian/docs: Removed, no longer relevant

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 18 Feb 2021 11:51:48 +0100

r-bioc-sparsematrixstats (1.2.1+dfsg-3) unstable; urgency=high

  * Team upload.
  * Delete the manual autopkgtests, the automatic ones do the same thing.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 18 Feb 2021 11:19:04 +0100

r-bioc-sparsematrixstats (1.2.1+dfsg-2) unstable; urgency=high

  * Team upload.
  * Tighten dependency on r-cran-matrixstats

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Feb 2021 14:04:14 +0100

r-bioc-sparsematrixstats (1.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 05 Feb 2021 15:01:20 +0100

r-bioc-sparsematrixstats (1.2.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add patches from upstream to fix support for non-x86 architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 04 Jan 2021 15:28:45 +0100

r-bioc-sparsematrixstats (1.2.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * debian/control: restrict to architectures where the autotests pass.
  * Standards-Version: 4.5.1 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Jan 2021 12:56:51 +0100

r-bioc-sparsematrixstats (1.2.0+dfsg-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Fri, 06 Nov 2020 11:47:09 +0100

r-bioc-sparsematrixstats (1.2.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #973810)

 -- Andreas Tille <tille@debian.org>  Thu, 05 Nov 2020 13:18:26 +0100

=== debian/control ===
Source: r-bioc-sparsematrixstats
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-matrixgenerics (>= 1.2.1),
               r-cran-rcpp,
               r-cran-matrix,
               r-cran-matrixstats (>> 0.57)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-sparsematrixstats
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-sparsematrixstats.git
Homepage: https://bioconductor.org/packages/sparseMatrixStats/
Rules-Requires-Root: no

Package: r-bioc-sparsematrixstats
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor summary statistics for rows and columns of sparse matrices
 High performance functions for row and column operations on sparse matrices.
 For example: col / rowMeans2, col / rowMedians, col / rowVars etc. Currently,
 the optimizations are limited to data in the column sparse format.
 This package is inspired by the matrixStats package by Henrik Bengtsson.

## r-bioc-sparsematrixstats 1.6.0+dfsg

=== DESCRIPTION ===
Package: sparseMatrixStats
Type: Package
Title: Summary Statistics for Rows and Columns of Sparse Matrices
Version: 1.6.0
Authors@R: person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                  role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X"))
Description: High performance functions for row and column operations on sparse matrices.
    For example: col / rowMeans2, col / rowMedians, col / rowVars etc. Currently,
    the optimizations are limited to data in the column sparse format. 
    This package is inspired by the matrixStats package by Henrik Bengtsson.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.1.1
LinkingTo: Rcpp
Imports: Rcpp, Matrix, matrixStats (>= 0.60.0), methods
Depends: MatrixGenerics (>= 1.5.3)
Suggests: testthat (>= 2.1.0), knitr, bench, rmarkdown, BiocStyle
VignetteBuilder: knitr
URL: https://github.com/const-ae/sparseMatrixStats
BugReports: https://github.com/const-ae/sparseMatrixStats/issues
biocViews: Infrastructure, Software, DataRepresentation
git_url: https://git.bioconductor.org/packages/sparseMatrixStats
git_branch: RELEASE_3_14
git_last_commit: 78627a8
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: yes
Packaged: 2021-10-26 22:52:18 UTC; biocbuild
Author: Constantin Ahlmann-Eltze [aut, cre]
    (<https://orcid.org/0000-0002-3762-068X>)
Maintainer: Constantin Ahlmann-Eltze <artjom31415@googlemail.com>

=== debian/changelog ===
r-bioc-sparsematrixstats (1.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0+dfsg
  * d/control: Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 21:30:09 +0530

r-bioc-sparsematrixstats (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Test-Depends: r-cran-testthat

 -- Andreas Tille <tille@debian.org>  Sat, 04 Sep 2021 22:23:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-matrixgenerics (>= 1.2.1),
+               r-bioc-matrixgenerics (>= 1.5.3),
                r-cran-rcpp,
                r-cran-matrix,
-               r-cran-matrixstats (>> 0.57)
-Standards-Version: 4.5.1
+               r-cran-matrixstats (>= 0.60.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-sparsematrixstats
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-sparsematrixstats.git
 Homepage: https://bioconductor.org/packages/sparseMatrixStats/

## r-bioc-sparsematrixstats 1.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: sparseMatrixStats
 Type: Package
 Title: Summary Statistics for Rows and Columns of Sparse Matrices
-Version: 1.6.0
+Version: 1.8.0
 Authors@R: person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                   role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X"))
 Description: High performance functions for row and column operations on sparse matrices.
@@ -15,17 +15,18 @@
 Imports: Rcpp, Matrix, matrixStats (>= 0.60.0), methods
 Depends: MatrixGenerics (>= 1.5.3)
 Suggests: testthat (>= 2.1.0), knitr, bench, rmarkdown, BiocStyle
+SystemRequirements: C++11
 VignetteBuilder: knitr
 URL: https://github.com/const-ae/sparseMatrixStats
 BugReports: https://github.com/const-ae/sparseMatrixStats/issues
 biocViews: Infrastructure, Software, DataRepresentation
 git_url: https://git.bioconductor.org/packages/sparseMatrixStats
-git_branch: RELEASE_3_14
-git_last_commit: 78627a8
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 4f1e221
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 22:52:18 UTC; biocbuild
+Packaged: 2022-04-26 22:09:10 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut, cre]
     (<https://orcid.org/0000-0002-3762-068X>)
 Maintainer: Constantin Ahlmann-Eltze <artjom31415@googlemail.com>

=== debian/changelog ===
r-bioc-sparsematrixstats (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 15:09:47 +0200

## r-bioc-sparsematrixstats 1.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: sparseMatrixStats
 Type: Package
 Title: Summary Statistics for Rows and Columns of Sparse Matrices
-Version: 1.8.0
+Version: 1.10.0
 Authors@R: person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                   role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X"))
 Description: High performance functions for row and column operations on sparse matrices.
@@ -21,12 +21,12 @@
 BugReports: https://github.com/const-ae/sparseMatrixStats/issues
 biocViews: Infrastructure, Software, DataRepresentation
 git_url: https://git.bioconductor.org/packages/sparseMatrixStats
-git_branch: RELEASE_3_15
-git_last_commit: 4f1e221
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 75d85ba
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 22:09:10 UTC; biocbuild
+Packaged: 2022-11-01 23:04:31 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut, cre]
     (<https://orcid.org/0000-0002-3762-068X>)
 Maintainer: Constantin Ahlmann-Eltze <artjom31415@googlemail.com>

=== debian/changelog ===
r-bioc-sparsematrixstats (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 17:25:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-sparsematrixstats
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-sparsematrixstats
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-sparsematrixstats.git
+Homepage: https://bioconductor.org/packages/sparseMatrixStats/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                r-cran-rcpp,
                r-cran-matrix,
                r-cran-matrixstats (>= 0.60.0)
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-sparsematrixstats
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-sparsematrixstats.git
-Homepage: https://bioconductor.org/packages/sparseMatrixStats/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-sparsematrixstats
 Architecture: any

## r-bioc-sparsematrixstats 1.12.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: sparseMatrixStats
 Type: Package
 Title: Summary Statistics for Rows and Columns of Sparse Matrices
-Version: 1.10.0
+Version: 1.12.2
 Authors@R: person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                   role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X"))
 Description: High performance functions for row and column operations on sparse matrices.
@@ -10,7 +10,7 @@
     This package is inspired by the matrixStats package by Henrik Bengtsson.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 LinkingTo: Rcpp
 Imports: Rcpp, Matrix, matrixStats (>= 0.60.0), methods
 Depends: MatrixGenerics (>= 1.5.3)
@@ -21,12 +21,12 @@
 BugReports: https://github.com/const-ae/sparseMatrixStats/issues
 biocViews: Infrastructure, Software, DataRepresentation
 git_url: https://git.bioconductor.org/packages/sparseMatrixStats
-git_branch: RELEASE_3_16
-git_last_commit: 75d85ba
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 073c604
+git_last_commit_date: 2023-07-02
+Date/Publication: 2023-07-02
 NeedsCompilation: yes
-Packaged: 2022-11-01 23:04:31 UTC; biocbuild
+Packaged: 2023-07-02 22:28:46 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut, cre]
     (<https://orcid.org/0000-0002-3762-068X>)
 Maintainer: Constantin Ahlmann-Eltze <artjom31415@googlemail.com>

=== debian/changelog ===
r-bioc-sparsematrixstats (1.12.2+dfsg-1) unstable; urgency=medium

  * Rebuild against latest r-base
    Closes: #1039641
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 23:40:43 +0200

## r-bioc-sparsematrixstats 1.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: sparseMatrixStats
 Type: Package
 Title: Summary Statistics for Rows and Columns of Sparse Matrices
-Version: 1.12.2
+Version: 1.14.0
 Authors@R: person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                   role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X"))
 Description: High performance functions for row and column operations on sparse matrices.
@@ -21,12 +21,12 @@
 BugReports: https://github.com/const-ae/sparseMatrixStats/issues
 biocViews: Infrastructure, Software, DataRepresentation
 git_url: https://git.bioconductor.org/packages/sparseMatrixStats
-git_branch: RELEASE_3_17
-git_last_commit: 073c604
-git_last_commit_date: 2023-07-02
-Date/Publication: 2023-07-02
+git_branch: RELEASE_3_18
+git_last_commit: 2923a3b
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-07-02 22:28:46 UTC; biocbuild
+Packaged: 2023-10-24 23:09:26 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut, cre]
     (<https://orcid.org/0000-0002-3762-068X>)
 Maintainer: Constantin Ahlmann-Eltze <artjom31415@googlemail.com>

=== debian/changelog ===
r-bioc-sparsematrixstats (1.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Nov 2023 00:25:03 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-sparsematrixstats
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-sparsematrixstats.git
 Homepage: https://bioconductor.org/packages/sparseMatrixStats/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-sparsematrixstats 1.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: sparseMatrixStats
 Type: Package
 Title: Summary Statistics for Rows and Columns of Sparse Matrices
-Version: 1.14.0
+Version: 1.16.0
 Authors@R: person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                   role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X"))
 Description: High performance functions for row and column operations on sparse matrices.
@@ -10,7 +10,7 @@
     This package is inspired by the matrixStats package by Henrik Bengtsson.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 LinkingTo: Rcpp
 Imports: Rcpp, Matrix, matrixStats (>= 0.60.0), methods
 Depends: MatrixGenerics (>= 1.5.3)
@@ -21,12 +21,13 @@
 BugReports: https://github.com/const-ae/sparseMatrixStats/issues
 biocViews: Infrastructure, Software, DataRepresentation
 git_url: https://git.bioconductor.org/packages/sparseMatrixStats
-git_branch: RELEASE_3_18
-git_last_commit: 2923a3b
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 2ad650c
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-10-24 23:09:26 UTC; biocbuild
+Packaged: 2024-05-01 06:08:30 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut, cre]
     (<https://orcid.org/0000-0002-3762-068X>)
 Maintainer: Constantin Ahlmann-Eltze <artjom31415@googlemail.com>

=== debian/changelog ===
r-bioc-sparsematrixstats (1.16.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:41:50 +0200

r-bioc-sparsematrixstats (1.16.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 15:50:50 +0200

r-bioc-sparsematrixstats (1.16.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 20:42:20 +0200

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,22 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-matrixgenerics (>= 1.5.3),
+               r-bioc-matrixgenerics (>= 1.16.0),
                r-cran-rcpp,
                r-cran-matrix,
-               r-cran-matrixstats (>= 0.60.0)
+               r-cran-matrixstats (>= 0.60.0),
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-sparsematrixstats
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-matrixgenerics (>= 1.16.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1)
 Description: BioConductor summary statistics for rows and columns of sparse matrices
  High performance functions for row and column operations on sparse matrices.
  For example: col / rowMeans2, col / rowMedians, col / rowVars etc. Currently,

## r-bioc-sparsematrixstats 1.18.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: sparseMatrixStats
 Type: Package
 Title: Summary Statistics for Rows and Columns of Sparse Matrices
-Version: 1.16.0
+Version: 1.18.0
 Authors@R: person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                   role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X"))
 Description: High performance functions for row and column operations on sparse matrices.
@@ -21,13 +21,13 @@
 BugReports: https://github.com/const-ae/sparseMatrixStats/issues
 biocViews: Infrastructure, Software, DataRepresentation
 git_url: https://git.bioconductor.org/packages/sparseMatrixStats
-git_branch: RELEASE_3_19
-git_last_commit: 2ad650c
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 172c63e
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 06:08:30 UTC; biocbuild
+Packaged: 2024-10-30 02:57:52 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut, cre]
     (<https://orcid.org/0000-0002-3762-068X>)
 Maintainer: Constantin Ahlmann-Eltze <artjom31415@googlemail.com>

=== debian/changelog ===
r-bioc-sparsematrixstats (1.18.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 22:17:12 +0100

r-bioc-sparsematrixstats (1.18.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 12:06:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-sparsematrixstats
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-sparsematrixstats.git
 Homepage: https://bioconductor.org/packages/sparseMatrixStats/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-matrixgenerics (>= 1.16.0),
+               r-bioc-matrixgenerics (>= 1.5.3),
                r-cran-rcpp,
                r-cran-matrix,
                r-cran-matrixstats (>= 0.60.0),
@@ -22,11 +22,9 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-matrixgenerics (>= 1.16.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: BioConductor summary statistics for rows and columns of sparse matrices
  High performance functions for row and column operations on sparse matrices.
  For example: col / rowMeans2, col / rowMedians, col / rowVars etc. Currently,

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/sparseMatrixStats.html .*/sparseMatrixStats_(.*).tar.gz
